# Contribute to Babel Preset CA Library
Contributions are welcome and much appreciated. Just follow these easy steps to contribute.

## Code Standard and Guideline
For consistency, we ask that you adhere to some basic code guidelines when contributing to Babel Preset CA Library. See the [Code Standard and Guideline][guidelines] for details.

## Our Development Process
To continue improving the library, the Babel Preset CA Library development team will work on the same GitHub repos as you. The `master branch` is used only for stable releases.

**Note:** For production environments, please use releases only from the master branch.

### Pull Requests
We welcome and encourage pull requests. When we get a pull request, it is peer reviewed and sent to QA for integration and smoke testing. Next, a core team member sign offs and performs the pull request merge. We'll provide updates and feedback throughout the process to keep you informed.

Follow these steps for pull requests:

1. Fork the repo and create your branch from `master`.
2. For any new code, add unit tests.
3. Verify that the test suite passes.
4. Verify that your code follows the [Code Standard Guideline][guidelines]
5. If you haven't already, complete the [Contributor License Agreement ("CLA")][cla].

### Contributor License Agreement ("CLA")
To accept pull requests, submit a CLA. (Submitting a single CLA lets you work on any open source projects from CA, Inc.)

Complete your CLA here: <https://www.clahub.com/agreements/CAAPIM/babel-preset-ca>

## Bugs
We work hard to avoid them, but they still happen. If you're a CA customer, open an issue in our [Support Page][casupport], otherwise use GitHub issues.
To share ideas or ask product-related questions go to [CA Communities][community].

### Known Issues
We also use GitHub issues for updates to known issues, including alerts when fixes are in progress.

### Reporting New Issues
Before filing a new issue, check Known Issues to see if your problem already exists. When reporting a new issue, provide as much detail as possible. The more information, the easier it is to debug and the faster you'll get a fix.

**Tips:**

* A description. What did you expect to happen? What actually happened? Why do you think the behavior was incorrect?
* Provide debug output generated by the library.
* A simple unit test or test scenarios that fails.
* What version are you running when reproducing issue? What was the last version that the feature worked?
* Anything else that seems relevant.

## License
By contributing to Babel Preset CA Library, you agree that your contributions will be licensed under its [license][license-link].


 [guidelines]: /GUIDELINES.md
 [community]: https://communities.ca.com/community/ca-api-management-community/content?filterID=contentstatus%5Bpublished%5D~category%5Bca-mobile-api-gateway%5D
 [license-link]: /LICENSE
 [cla]: https://www.clahub.com/agreements/CAAPIM/babel-preset-ca
 [casupport]: https://support.ca.com/irj/portal/implsvcnewcase
